Subject: Re: [PATCH] fix for system lockups in 2.6.18-rcX caused by bcm43xx

From: Larry Finger <[email-masked]>
Date: Sat, 09 Sep 2006 11:04:59 -0500

John W. Linville wrote:
> On Fri, Sep 08, 2006 at 08:47:54PM -0500, Larry Finger wrote:
> 
>> PLease send this upstream for inclusion in 2.6.18, if possible. This patch 
>> will not work for
>> wireless-2.6. That patch will be sent to you soon.
> 
> Are you saying this will break the upstream branch of wireless-2.6?
> I'm not too excited about that.  Under the normal process, that would
> mean 2.6.19 would be broken until we get the next patch.
> 
> When will the patch for the upstream branch be available?  Can you make
> that patch based on this one (i.e. apply this one before generating
> the next patch)?

It will not break wireless-2.6. I sent the equivalent of this patch for wireless-2.6 to you under 
the subject "[PATCH] bcm43xx-softmac: Init, shutdown and restart fixes" on August 21, just after I 
took over maintenance of bcm43xx-softmac. If this is not currently queued, please let me know. There 
is still a problem with one section of the code touched by that patch that is related to a 
synchronize_net() call. Michael and I are trying to get a network guru to answer some questions 
regarding that function. So far no response to our pleas.

I would like to get a listing of patches for bcm43xx-softmac that are queued but not yet applied, 
and the order in which they will be applied. I want to make sure nothing has fallen through the 
cracks, and that the patches will apply cleanly.

Thanks,

Larry